Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.util.config
Class EnumerationConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.EnumerationConfigOption

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BooleanConfigOption, YesNoConfigOption

public class EnumerationConfigOption
extends ConfigOption

See Also:
  Serialized Form

Constructor Summary
`protected` | `EnumerationConfigOption()` Should only be used by serializer/deserializer
`` | `EnumerationConfigOption(net.hyperic.util.config.OptionTransport transport)`
`` | `EnumerationConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`
`` | `EnumerationConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue, java.lang.String[] enumValues)` This constructor allows you to create an EnumConfigOption and supply the valid enum values at construction time.

Method Summary
`void` | `addValue(java.lang.String option)` Option properties
`void` | `checkOptionIsValid(java.lang.String value)`
`net.hyperic.util.config.OptionTransport` | `getTransport()`
`java.util.List` | `getValues()`

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnumerationConfigOption

    protected EnumerationConfigOption()

  Should only be used by serializer/deserializer

### EnumerationConfigOption

    public EnumerationConfigOption(java.lang.String optName,
                                   java.lang.String optDesc,
                                   java.lang.String defValue)

### EnumerationConfigOption

    public EnumerationConfigOption(java.lang.String optName,
                                   java.lang.String optDesc,
                                   java.lang.String defValue,
                                   java.lang.String[] enumValues)

  This constructor allows you to create an EnumConfigOption and supply the valid enum values at construction time.

### EnumerationConfigOption

    public EnumerationConfigOption(net.hyperic.util.config.OptionTransport transport)
                            throws net.hyperic.util.config.EncodingException

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

### getTransport

    public net.hyperic.util.config.OptionTransport getTransport()

  Specified by:
    `getTransport` in class `ConfigOption`

### addValue

    public void addValue(java.lang.String option)

  Option properties

### getValues

    public java.util.List getValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.